<?php

/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package FLEX_GUTENBERG_THEME
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('fgt__main__content'); ?>>
  <div class="entry-content">
    <?php
	while (have_posts()) :
	  the_post();

	  if (post_password_required($post)) {
	  	the_title(
	  		'<div class="flo-block block-type-no-image flo-title-block flo-title-block--image-type-cropped text-align-center visible">
                    <div class="flo-title-block__meta-wrap no-image"><h2 class="entry-title flo-title-block__post-title" data-font="title_1/medium">',
	  		'</h2></div>
          </div>'
	  	);

	  	echo '<div class="entry-content">';
	  	the_content();
	  	echo '</div>';
	  } else {
	  	global $fgt_global_wrapper_render;
	  	if ($fgt_global_wrapper_render) {
				if (class_exists('Flo_Forms_Public')) {
					if ($fgt_global_wrapper_render && has_shortcode($fgt_global_wrapper_render, 'floform') || has_block('flo-forms/form')) {
						Flo_Forms_Public::enqueue_styles();
					}
						
				}
	  		echo apply_filters('the_content', $fgt_global_wrapper_render);
	  	} else {
	  		global $post;
	  		echo apply_filters('the_content', $post->post_content);
	  	}
	  }


	endwhile;
	?>
  </div>
</article>